package com.willalp.device.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.willalp.common.annotation.Excel;
import com.willalp.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 设备报废流程记录对象 hs_device_scrap_flow_record
 *
 * @author willalp
 * @date 2023-04-23
 */

@TableName("hs_device_scrap_flow_record")
public class HsDeviceScrapFlowRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @TableId
    private String id;

    /** 审批标题 */
    @Excel(name = "审批标题")
    private String title;

    /** 用途 */
    @Excel(name = "用途")
    private String whatUse;

    /** 设备类型 */
    @Excel(name = "设备类型")
    private String deviceType;

    /** 设备名称 */
    @Excel(name = "设备名称")
    private String deviceName;

    /** 规格 */
    @Excel(name = "规格")
    private String deviceGg;

    /** 报废性质 */
    @Excel(name = "报废性质")
    private String scrapType;

    /** 设备存放位置 */
    @Excel(name = "设备存放位置")
    private String depositLoca;

    /** 报修状态 */
    @Excel(name = "报修状态")
    private String repairsStatus;

    /** 图片（5张最大） */
    @Excel(name = "图片", readConverterExp = "5=张最大")
    private String photos;

    /** 申请部门 */
    @Excel(name = "申请部门")
    private String deptId;

    /** 申请人 */
    @Excel(name = "申请人")
    private String applyUserName;

    /** 是否删除（0.未删除；1.已删除） */
    @TableLogic
    private Integer isDelete;

    public void setId(String id)
    {
        this.id = id;
    }

    public String getId()
    {
        return id;
    }
    public void setTitle(String title)
    {
        this.title = title;
    }

    public String getTitle()
    {
        return title;
    }
    public void setWhatUse(String whatUse)
    {
        this.whatUse = whatUse;
    }

    public String getWhatUse()
    {
        return whatUse;
    }
    public void setDeviceType(String deviceType)
    {
        this.deviceType = deviceType;
    }

    public String getDeviceType()
    {
        return deviceType;
    }
    public void setDeviceName(String deviceName)
    {
        this.deviceName = deviceName;
    }

    public String getDeviceName()
    {
        return deviceName;
    }
    public void setDeviceGg(String deviceGg)
    {
        this.deviceGg = deviceGg;
    }

    public String getDeviceGg()
    {
        return deviceGg;
    }
    public void setScrapType(String scrapType)
    {
        this.scrapType = scrapType;
    }

    public String getScrapType()
    {
        return scrapType;
    }
    public void setDepositLoca(String depositLoca)
    {
        this.depositLoca = depositLoca;
    }

    public String getDepositLoca()
    {
        return depositLoca;
    }
    public void setRepairsStatus(String repairsStatus)
    {
        this.repairsStatus = repairsStatus;
    }

    public String getRepairsStatus()
    {
        return repairsStatus;
    }
    public void setPhotos(String photos)
    {
        this.photos = photos;
    }

    public String getPhotos()
    {
        return photos;
    }
    public void setDeptId(String deptId)
    {
        this.deptId = deptId;
    }

    public String getDeptId()
    {
        return deptId;
    }
    public void setApplyUserName(String applyUserName)
    {
        this.applyUserName = applyUserName;
    }

    public String getApplyUserName()
    {
        return applyUserName;
    }
    public void setIsDelete(Integer isDelete)
    {
        this.isDelete = isDelete;
    }

    public Integer getIsDelete()
    {
        return isDelete;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("title", getTitle())
            .append("whatUse", getWhatUse())
            .append("deviceType", getDeviceType())
            .append("deviceName", getDeviceName())
            .append("deviceGg", getDeviceGg())
            .append("scrapType", getScrapType())
            .append("depositLoca", getDepositLoca())
            .append("repairsStatus", getRepairsStatus())
            .append("photos", getPhotos())
            .append("deptId", getDeptId())
            .append("applyUserName", getApplyUserName())
            .append("isDelete", getIsDelete())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
